package com.patzn.lims.sys.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.patzn.lims.core.web.Account;
import com.patzn.lims.core.web.IBaseService;
import com.patzn.lims.sys.entity.SysCompany;
import org.springframework.web.multipart.MultipartFile;

import java.util.List;
import java.util.Map;

/**
 * <p>
 * 公司表 服务类
 * </p>
 *
 * @author patzn
 * @since 2017-07-10
 */
public interface ISysCompanyService extends IBaseService<SysCompany> {

    IPage<SysCompany> page(Page<SysCompany> page, SysCompany sysCompany);

    List<SysCompany> list(SysCompany sysCompany);

    Map<String, Object> getMyCompanyInfo(Account account);

    String saveLogo(Long companyId, MultipartFile file);

    boolean updateManager(Long id, String manager);
}
